## dpdk-kmods 0~20201113+git

=== linux/igb_uio/Makefile ===
KSRC ?= /lib/modules/`uname -r`/build

all:
	make -C $(KSRC)/ M=$(PWD)

clean:
	make -C $(KSRC)/ M=$(PWD) clean

=== debian/changelog ===
dpdk-kmods (0~20201113+git-2) unstable; urgency=high

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Jan 2021 16:06:01 +0000

dpdk-kmods (0~20201113+git-1) experimental; urgency=medium

  * Initial packaging (Closes: #974216)

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Nov 2020 16:28:36 +0000

=== debian/control ===
Source: dpdk-kmods
Priority: optional
Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
Build-Depends: debhelper-compat (= 12), dkms,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Section: kernel
Homepage: https://www.dpdk.org
Vcs-Git: https://salsa.debian.org/debian/dpdk-kmods.git
Vcs-Browser: https://salsa.debian.org/debian/dpdk-kmods

Package: dpdk-kmods-dkms
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms, libelf-dev, make, ${misc:Depends},
Description: Data Plane Development Kit (dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the igb_uio kernel module.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with dkms

override_dh_install:
	dh_install -p dpdk-kmods-dkms linux/igb_uio/* \
		usr/src/dpdk-kmods-$(DEB_VERSION_UPSTREAM)

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

=== debian/tests/control ===
Tests: test-dkms
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Depends: dpdk-kmods-dkms [amd64 arm64 i386 ppc64el], kmod,

=== debian/watch ===
version=4
opts="mode=git,pretty=0~%cd+git" \
 https://dpdk.org/git/dpdk-kmods HEAD

## dpdk-kmods 0~20220111%2Bgit

=== debian/changelog ===
dpdk-kmods (0~20220111+git-1) unstable; urgency=medium

  * Merge remote-tracking branch 'upstream/main' into debian/unstable

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Jan 2022 17:10:23 +0000

dpdk-kmods (0~20210930+git-1) unstable; urgency=medium

  * Merge remote-tracking branch 'upstream/main' into debian/unstable
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13, no changes
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Dec 2021 20:17:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
-Build-Depends: debhelper-compat (= 12), dkms,
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), dkms,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: kernel
 Homepage: https://www.dpdk.org

## dpdk-kmods 0~20220111+git

=== debian/changelog ===
dpdk-kmods (0~20220111+git-1ubuntu1~22.04.1) jammy; urgency=medium

  * Kinetic import, no change, rebuild against jammy user-space (LP: #2002322).

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 09 Jan 2023 15:35:25 +0000

dpdk-kmods (0~20220111+git-1ubuntu1) kinetic; urgency=medium

  * Support linux kernels >= 5.18 (LP: #1981990):
    - debian/patches/0001-support-linux-5.18.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 18 Jul 2022 12:36:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: dpdk-kmods
 Priority: optional
-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends: debhelper-compat (= 13), dkms,

## dpdk-kmods 0~20220829%2Bgit

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_install:
 	dh_install -p dpdk-kmods-dkms linux/igb_uio/* \

## dpdk-kmods 0~20220829+git

=== debian/changelog ===
dpdk-kmods (0~20220829+git-3) unstable; urgency=medium

  [ Bo YU ]
  * Enable build for riscv64 (Closes: #1027334)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Fri, 30 Dec 2022 16:47:30 +0100

dpdk-kmods (0~20220829+git-2) unstable; urgency=medium

  * Update fix-build-on-Linux-5.18.patch to upstream version

 -- Luca Boccassi <bluca@debian.org>  Thu, 22 Dec 2022 16:32:44 +0100

dpdk-kmods (0~20220829+git-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Luca Boccassi ]
  * Merge branch 'dkms-updates' into 'debian/unstable'
  * Merge branch 'upstream' into debian/unstable
  * Bump Standards-Version to 4.6.1, no changes
  * Add patch to fix build on Linux 5.18+
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 17:23:58 +0000

=== debian/control ===
Source: dpdk-kmods
Priority: optional
Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: kernel
Homepage: https://www.dpdk.org
Vcs-Git: https://salsa.debian.org/debian/dpdk-kmods.git
Vcs-Browser: https://salsa.debian.org/debian/dpdk-kmods
Testsuite: autopkgtest-pkg-dkms

Package: dpdk-kmods-dkms
Architecture: amd64 arm64 i386 ppc64el riscv64
Depends: dkms, libelf-dev, make, ${misc:Depends},
Description: Data Plane Development Kit (dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the igb_uio kernel module.

## dpdk-kmods 0~20230205+git

=== debian/changelog ===
dpdk-kmods (0~20230205+git-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Add loong64 to the list of supported architectures (Closes: #1059082)
  * autopkgtest: fix collecting logs when there aren't any (Closes:
    #1069611)
  * autopkgtest: restrict to supported architectures
  * autopkgtest: ensure kernel headers are pulled in
  * d/u/metadata: add bugzilla link

 -- Luca Boccassi <bluca@debian.org>  Sun, 19 May 2024 03:30:16 +0100

dpdk-kmods (0~20230205+git-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Merge branch 'upstream' into debian/unstable
  * Drop i386 support
  * Drop fix-build-on-Linux-5.18.patch, merged upstream

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Dec 2023 11:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: kernel
 Homepage: https://www.dpdk.org
@@ -13,7 +13,7 @@
 Testsuite: autopkgtest-pkg-dkms
 
 Package: dpdk-kmods-dkms
-Architecture: amd64 arm64 i386 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el riscv64 loong64
 Depends: dkms, libelf-dev, make, ${misc:Depends},
 Description: Data Plane Development Kit (dkms)
  DPDK is a set of libraries for fast packet processing. Applications run

## dpdk-kmods 0~20241120+git

=== linux/igb_uio/Makefile ===
KSRC ?= /lib/modules/$(shell uname -r)/build

all:
	make -C $(KSRC)/ M=$(CURDIR)

%:
	make -C $(KSRC)/ M=$(CURDIR) $@

=== debian/changelog ===
dpdk-kmods (0~20241120+git-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms.conf: declare BUILD_EXCLUSIVE_KERNEL_MIN="3.13"

  [ Luca Boccassi ]
  * Merge branch 'upstream' into debian/unstable
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Fri, 29 Aug 2025 10:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: kernel
 Homepage: https://www.dpdk.org

=== debian/tests/control ===
Tests: test-dkms
Restrictions: allow-stderr, isolation-machine, needs-root, skippable
Architecture: amd64 arm64 i386 ppc64el loong64
Depends: dpdk-kmods-dkms [amd64 arm64 i386 ppc64el loong64], kmod, linux-headers-generic,
